package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.List;
import java.util.function.Consumer;

import ru.myitschool.work.data.dto.EntryDto;
import ru.myitschool.work.domain.entities.Status;

public class GetEmployeeEntryListUseCase {
    private final AdminRepository repository;

    public GetEmployeeEntryListUseCase(AdminRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<List<EntryDto>>> callback) {
        repository.getEmployeeEntryList(auth, login, callback);
    }
}
