package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.data.dto.EmployeeDataDto;
import ru.myitschool.work.domain.entities.Status;

public class GetEmployeeInfoUseCase {
    private final AdminRepository repository;

    public GetEmployeeInfoUseCase(AdminRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<EmployeeDataDto>> callback) {
        repository.getEmployeeInfo(auth, login, callback);
    }
}
